<app-sub-menu-label>
  <b>HAND DRAWN REGIONS</b>
</app-sub-menu-label>
<mat-divider></mat-divider>
<app-hand-drawn-annotation-list
  *ngrxLet="handDrawnAnnotationEntities$; let handDrawnAnnotationEntities"
  [annotationEntities]="handDrawnAnnotationEntities"
  [annotationSelection]="(handDrawnAnnotationSelection$|ngrxPush)"
  [loaded]="(loaded$|ngrxPush)"
  [allSelected]="(allSelected$|ngrxPush)"
  [someSelected]="(indeterminateSelection$|ngrxPush)"
  [disabled]="!(selectedRegionsCollection$|ngrxPush) || !handDrawnAnnotationEntities?.length"
  (zoomToAnnotation)="onZoomToAnnotation($event)"
  (selectAllChanged)="onAllAnnotationSelectChanged($event)"
  (changeAnnotationSelection)="onAnnotationSelectionChanged($event)"
  (deleteAnnotation)="onDeleteAnnotation($event)">
</app-hand-drawn-annotation-list>
